export default function IconTwitter({ width, height }) {
  return (
    <svg
      width={`${width}px`}
      height={`${height}px`}
      viewBox="0 0 24 24"
      fill="currentColor"
    >
      <mask
        id="mask0"
        maskUnits="userSpaceOnUse"
        x="1"
        y="3"
        width="23"
        height="19"
      >
        <path
          fillRule="evenodd"
          clipRule="evenodd"
          d="M1 3H23.3394V21.1538H1V3Z"
          fill="white"
        />
      </mask>
      <g mask="url(#mask0)">
        <path
          fillRule="evenodd"
          clipRule="evenodd"
          d="M23.3384 5.14959C22.5163 5.51419 21.6328 5.76061 20.7055 5.87143C21.652 5.30406 22.3788 4.40568 22.7211 3.33526C21.8354 3.86054 20.8543 4.24206 19.8101 4.44769C18.9739 3.55675 17.7825 3 16.464 3C13.9322 3 11.8797 5.0525 11.8797 7.58409C11.8797 7.94338 11.9203 8.29327 11.9984 8.62877C8.18846 8.43761 4.81062 6.61257 2.54963 3.83913C2.15504 4.51618 1.92897 5.30365 1.92897 6.14376C1.92897 7.73415 2.73835 9.1373 3.96839 9.95934C3.21688 9.93556 2.51008 9.72935 1.89195 9.386C1.89162 9.40513 1.89162 9.42434 1.89162 9.44362C1.89162 11.6647 3.4718 13.5176 5.56892 13.9386C5.18421 14.0434 4.77924 14.0994 4.36111 14.0994C4.06573 14.0994 3.77853 14.0707 3.49869 14.0172C4.082 15.8385 5.77496 17.1638 7.78095 17.2008C6.21206 18.4303 4.23541 19.1632 2.08769 19.1632C1.7177 19.1632 1.35277 19.1415 0.994141 19.0992C3.02285 20.3998 5.43251 21.1587 8.02132 21.1587C16.4533 21.1587 21.0642 14.1734 21.0642 8.11567C21.0642 7.9169 21.0598 7.71919 21.0509 7.52263C21.9466 6.87631 22.7238 6.06889 23.3384 5.14959Z"
        />
      </g>
    </svg>
  )
}
